Skip to main content
GET
/
mailbox
/
messages
/
query-changes
Get message query changes
curl --request GET \
  --url https://app.sendmux.ai/api/v1/mailbox/messages/query-changes \
  --header 'Authorization: Bearer <token>'
{
  "meta": {
    "request_id": "req_clxxxxxxxxxxxxxxxxxxxxxxxxx"
  },
  "data": {
    "old_query_state": "<string>",
    "new_query_state": "<string>",
    "has_more": true,
    "removed": [
      "<string>"
    ],
    "added": [
      {
        "id": "<string>",
        "index": 123
      }
    ],
    "total": 123
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.sendmux.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Sendmux API key. Use a root API key for Management API routes, or a mailbox credential for Mailbox API routes. Obtain keys from the dashboard under API Keys.

Query Parameters

since_query_state
string
limit
integer
Required range: 1 <= x <= 500
up_to_id
string
calculate_total
boolean
folder_id
string
q
string
from
string
to
string
cc
string
bcc
string
subject
string
body
string
header_name
string
header_value
string
min_size_bytes
integer
Required range: x >= 0
max_size_bytes
integer
Required range: x >= 0
keyword
string
not_keyword
string
after
string
before
string
has_attachment
boolean
is_unread
boolean
sort_by
enum<string>
Available options:
received_at,
sent_at,
subject,
from,
to,
size_bytes
sort_direction
enum<string>
Available options:
asc,
desc

Response

Message query changes

ok
enum<boolean>
required
Available options:
true
meta
object
required
data
object
required